Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/sales/daily-sales

Prev Next
Get
/public/v1/sales/daily-sales

Retrieves a single daily sales summary with its paginated sales tickets for the specified business date and location

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
businessDate
string (date) Required

The business date of the daily sales summary to retrieve

location
string (uuid) Required

Location identifier to filter by

pageSize
integer (int32)

Maximum number of sales tickets to return per page. Default 250

continuationToken
string

Continuation token for pagination. Use the nextLink from a previous response to get the next page of tickets

Responses
200

Daily sales summary with paginated sales tickets.

Expand All
object
data
object (DailySalesSummaryDto)
id
string (uuid)

Unique identifier of the daily sales summary.

location
object (LocationReference)
id
string (uuid)

Unique identifier of the location.

name
string | null

Display name of the location.

number
string | null

Number assigned to the location.

businessDate
string (date)
netSales
number (double)
grossSales
number (double)
guestCount
integer (int32)
totalLaborHours
number (double)
totalLaborAmount
number (double)
totalLaborPercentage
integer (int32)
totalDeposit
number (double)
expectedCash
number (double)
paidInTotal
number (double)
paidOutTotal
number (double)
overShort
number (double)
salesTickets
Array of object (SalesTicketDto) | null
object
id
string (uuid)

Unique identifier of the sales ticket.

receiptNumber
string | null
checkNumber
string | null
comment
string | null

Free-text comment associated with the sales ticket.

saleDateTime
string (date-time) | null
dayOfWeek
string | null
dayPart
string | null
netSales
number (double)
grossSales
number (double)
salesAmount
number (double)
guestCount
integer (int32)
orderHour
integer (int32) | null
taxAmount
number (double)
taxDetail
Array of object (TaxDetailDto) | null
object
rateId
string
name
string | null

Display name of the tax detail.

rate
number (double)
taxType
string
inclusionType
string
appliedTaxPortionAmount
number (double)
tipAmount
number (double)
totalAmount
number (double)

Total monetary amount on the sales ticket.

totalPayment
number (double)
void
boolean
server
object (ServerReference)
id
string (uuid)

Unique identifier of the server.

name
string | null

Display name of the server.

payrollId
string | null
salesDetails
Array of object (SalesDetailDto) | null
object
id
string (uuid)

Unique identifier of the sales detail.

posItem
object (PosItemReference)
id
integer (int64)

Unique identifier of the pos item.

name
string | null

Display name of the pos item.

saleAmount
number (double)
quantity
number (double)
void
boolean
salesAccount
object (SalesAccountReference)
id
string (uuid)

Unique identifier of the sales account.

name
string | null

Display name of the sales account.

number
string | null

Number assigned to the sales account.

glType
string | null
salesCategory
string | null
menuItemCategory1
string | null
menuItemCategory2
string | null
menuItemCategory3
string | null
salesPayments
Array of object (SalesPaymentDto) | null
object
id
string (uuid)

Unique identifier of the sales payment.

amount
number (double)

Monetary amount on the sales payment.

paymentType
string | null
paymentGroup
string | null
paymentDate
string (date-time) | null
nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

403

User does not have access to the requested location.

location-access-denied
{
  "message": "Access to the requested resource is forbidden.",
  "errorCode": "urn:r365:access-forbidden"
}
Expand All
object
errorCode
string | null
innerError
object (R365.Errors.R365Error)
errorCode
string | null
innerError
object (R365.Errors.R365Error) Recursive
404

Location not found, no daily sales summary found for the given filters, or continuation token not found or expired.

location-not-found
{
  "message": "Record not found.",
  "errorCode": "urn:r365:record-not-found"
}
dss-not-found
{
  "message": "Record not found.",
  "errorCode": "urn:r365:record-not-found"
}
continuation-token-not-found
{
  "message": "Record not found.",
  "errorCode": "urn:r365:record-not-found"
}
Expand All
object
errorCode
string | null
innerError
object (R365.Errors.R365Error)
errorCode
string | null
innerError
object (R365.Errors.R365Error) Recursive
422

Unprocessable Content.

missing-business-date-filter
{
  "message": "A businessDate filter is required.",
  "errorCode": "urn:r365:public-api:daily-sales:missing-business-date-filter"
}
missing-location-filter
{
  "message": "A location filter is required.",
  "errorCode": "urn:r365:public-api:daily-sales:missing-location-filter"
}
Expand All
object
errorCode
string | null
innerError
object (R365.Errors.R365Error)
errorCode
string | null
innerError
object (R365.Errors.R365Error) Recursive